cURL
curl --request PATCH \
--url https://www.oration.ai/api/v2/tickets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--header 'x-workspace-slug: <x-workspace-slug>' \
--data '
{
"ticketTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"splitFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "<string>",
"resolvedAt": "<string>",
"closedAt": "<string>",
"snoozedUntil": "<string>",
"lastCustomerActivityAt": "<string>",
"lastAgentActivityAt": "<string>",
"isShared": true
}
'import requests
url = "https://www.oration.ai/api/v2/tickets/{id}"
payload = {
"ticketTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"splitFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "<string>",
"resolvedAt": "<string>",
"closedAt": "<string>",
"snoozedUntil": "<string>",
"lastCustomerActivityAt": "<string>",
"lastAgentActivityAt": "<string>",
"isShared": True
}
headers = {
"x-api-key": "<x-api-key>",
"x-workspace-slug": "<x-workspace-slug>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-api-key': '<x-api-key>',
'x-workspace-slug': '<x-workspace-slug>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ticketTypeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
description: '<string>',
summary: '<string>',
statusId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdByUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assigneeUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assignedTeamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ownerUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ownerTeamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
conversationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parentTicketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mergedIntoTicketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
splitFromTicketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
flowId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
firstResponseAt: '<string>',
resolvedAt: '<string>',
closedAt: '<string>',
snoozedUntil: '<string>',
lastCustomerActivityAt: '<string>',
lastAgentActivityAt: '<string>',
isShared: true
})
};
fetch('https://www.oration.ai/api/v2/tickets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.oration.ai/api/v2/tickets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'ticketTypeId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'title' => '<string>',
'description' => '<string>',
'summary' => '<string>',
'statusId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'customerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'createdByUserId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'assigneeUserId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'assignedTeamId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'ownerUserId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'ownerTeamId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'conversationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'parentTicketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'mergedIntoTicketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'splitFromTicketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'flowId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'agentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'firstResponseAt' => '<string>',
'resolvedAt' => '<string>',
'closedAt' => '<string>',
'snoozedUntil' => '<string>',
'lastCustomerActivityAt' => '<string>',
'lastAgentActivityAt' => '<string>',
'isShared' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <x-api-key>",
"x-workspace-id: <x-workspace-id>",
"x-workspace-slug: <x-workspace-slug>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.oration.ai/api/v2/tickets/{id}"
payload := strings.NewReader("{\n \"ticketTypeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"summary\": \"<string>\",\n \"statusId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdByUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assignedTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parentTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mergedIntoTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"splitFromTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"flowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"firstResponseAt\": \"<string>\",\n \"resolvedAt\": \"<string>\",\n \"closedAt\": \"<string>\",\n \"snoozedUntil\": \"<string>\",\n \"lastCustomerActivityAt\": \"<string>\",\n \"lastAgentActivityAt\": \"<string>\",\n \"isShared\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("x-workspace-slug", "<x-workspace-slug>")
req.Header.Add("x-workspace-id", "<x-workspace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.oration.ai/api/v2/tickets/{id}")
.header("x-api-key", "<x-api-key>")
.header("x-workspace-slug", "<x-workspace-slug>")
.header("x-workspace-id", "<x-workspace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ticketTypeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"summary\": \"<string>\",\n \"statusId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdByUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assignedTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parentTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mergedIntoTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"splitFromTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"flowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"firstResponseAt\": \"<string>\",\n \"resolvedAt\": \"<string>\",\n \"closedAt\": \"<string>\",\n \"snoozedUntil\": \"<string>\",\n \"lastCustomerActivityAt\": \"<string>\",\n \"lastAgentActivityAt\": \"<string>\",\n \"isShared\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.oration.ai/api/v2/tickets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<x-api-key>'
request["x-workspace-slug"] = '<x-workspace-slug>'
request["x-workspace-id"] = '<x-workspace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ticketTypeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"summary\": \"<string>\",\n \"statusId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdByUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assignedTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parentTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mergedIntoTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"splitFromTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"flowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"firstResponseAt\": \"<string>\",\n \"resolvedAt\": \"<string>\",\n \"closedAt\": \"<string>\",\n \"snoozedUntil\": \"<string>\",\n \"lastCustomerActivityAt\": \"<string>\",\n \"lastAgentActivityAt\": \"<string>\",\n \"isShared\": true\n}"
response = http.request(request)
puts response.read_body{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticketNumber": -1,
"ticketTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"source": "email",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": "urgent",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"splitFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "<string>",
"resolvedAt": "<string>",
"closedAt": "<string>",
"snoozedUntil": "<string>",
"lastCustomerActivityAt": "<string>",
"lastAgentActivityAt": "<string>",
"isShared": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Tickets
Update ticket
Update scalar fields on a ticket. Use dedicated endpoints for status and assignment.
PATCH
/
tickets
/
{id}
cURL
curl --request PATCH \
--url https://www.oration.ai/api/v2/tickets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--header 'x-workspace-slug: <x-workspace-slug>' \
--data '
{
"ticketTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"splitFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "<string>",
"resolvedAt": "<string>",
"closedAt": "<string>",
"snoozedUntil": "<string>",
"lastCustomerActivityAt": "<string>",
"lastAgentActivityAt": "<string>",
"isShared": true
}
'import requests
url = "https://www.oration.ai/api/v2/tickets/{id}"
payload = {
"ticketTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"splitFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "<string>",
"resolvedAt": "<string>",
"closedAt": "<string>",
"snoozedUntil": "<string>",
"lastCustomerActivityAt": "<string>",
"lastAgentActivityAt": "<string>",
"isShared": True
}
headers = {
"x-api-key": "<x-api-key>",
"x-workspace-slug": "<x-workspace-slug>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-api-key': '<x-api-key>',
'x-workspace-slug': '<x-workspace-slug>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ticketTypeId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
description: '<string>',
summary: '<string>',
statusId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdByUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assigneeUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
assignedTeamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ownerUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
ownerTeamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
conversationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
parentTicketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
mergedIntoTicketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
splitFromTicketId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
flowId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
agentId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
firstResponseAt: '<string>',
resolvedAt: '<string>',
closedAt: '<string>',
snoozedUntil: '<string>',
lastCustomerActivityAt: '<string>',
lastAgentActivityAt: '<string>',
isShared: true
})
};
fetch('https://www.oration.ai/api/v2/tickets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.oration.ai/api/v2/tickets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'ticketTypeId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'title' => '<string>',
'description' => '<string>',
'summary' => '<string>',
'statusId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'customerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'createdByUserId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'assigneeUserId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'assignedTeamId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'ownerUserId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'ownerTeamId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'conversationId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'parentTicketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'mergedIntoTicketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'splitFromTicketId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'flowId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'agentId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'firstResponseAt' => '<string>',
'resolvedAt' => '<string>',
'closedAt' => '<string>',
'snoozedUntil' => '<string>',
'lastCustomerActivityAt' => '<string>',
'lastAgentActivityAt' => '<string>',
'isShared' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-api-key: <x-api-key>",
"x-workspace-id: <x-workspace-id>",
"x-workspace-slug: <x-workspace-slug>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.oration.ai/api/v2/tickets/{id}"
payload := strings.NewReader("{\n \"ticketTypeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"summary\": \"<string>\",\n \"statusId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdByUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assignedTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parentTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mergedIntoTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"splitFromTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"flowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"firstResponseAt\": \"<string>\",\n \"resolvedAt\": \"<string>\",\n \"closedAt\": \"<string>\",\n \"snoozedUntil\": \"<string>\",\n \"lastCustomerActivityAt\": \"<string>\",\n \"lastAgentActivityAt\": \"<string>\",\n \"isShared\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("x-workspace-slug", "<x-workspace-slug>")
req.Header.Add("x-workspace-id", "<x-workspace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.oration.ai/api/v2/tickets/{id}")
.header("x-api-key", "<x-api-key>")
.header("x-workspace-slug", "<x-workspace-slug>")
.header("x-workspace-id", "<x-workspace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ticketTypeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"summary\": \"<string>\",\n \"statusId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdByUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assignedTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parentTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mergedIntoTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"splitFromTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"flowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"firstResponseAt\": \"<string>\",\n \"resolvedAt\": \"<string>\",\n \"closedAt\": \"<string>\",\n \"snoozedUntil\": \"<string>\",\n \"lastCustomerActivityAt\": \"<string>\",\n \"lastAgentActivityAt\": \"<string>\",\n \"isShared\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.oration.ai/api/v2/tickets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<x-api-key>'
request["x-workspace-slug"] = '<x-workspace-slug>'
request["x-workspace-id"] = '<x-workspace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ticketTypeId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"summary\": \"<string>\",\n \"statusId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"customerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdByUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assigneeUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"assignedTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerUserId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"ownerTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"conversationId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"parentTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"mergedIntoTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"splitFromTicketId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"flowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"agentId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"firstResponseAt\": \"<string>\",\n \"resolvedAt\": \"<string>\",\n \"closedAt\": \"<string>\",\n \"snoozedUntil\": \"<string>\",\n \"lastCustomerActivityAt\": \"<string>\",\n \"lastAgentActivityAt\": \"<string>\",\n \"isShared\": true\n}"
response = http.request(request)
puts response.read_body{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticketNumber": -1,
"ticketTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"summary": "<string>",
"source": "email",
"statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": "urgent",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigneeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assignedTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mergedIntoTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"splitFromTicketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstResponseAt": "<string>",
"resolvedAt": "<string>",
"closedAt": "<string>",
"snoozedUntil": "<string>",
"lastCustomerActivityAt": "<string>",
"lastAgentActivityAt": "<string>",
"isShared": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Update fields on an existing ticket. Send only what you want to change — omitted fields stay as they are.
Do not send
statusId on this endpoint. Use Change ticket status instead. The update action strips statusId if present.Path parameters
string
required
Ticket UUID.
Writable body fields
Send only the fields you want to update. The ticketid comes from the URL path — do not include it in the body.
string
Ticket headline.
string
Customer-visible body.
string
Internal recap (not shown to customers).
string
urgent, high, medium, or low.string
Channel source.
string
Customer UUID. Pass
null to clear.string
Linked conversation UUID.
string
ISO 8601 timestamp, or use Snooze ticket.
string
Prefer Assign ticket for assignment changes.
Successful updates emit a
ticket.updated webhook with the full ticket row in the payload.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Minimum string length:
1Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
email, chat_widget, voice, whatsapp, sms, customer_portal, form, manual, api, slack, microsoft_teams, instagram, discord, telegram Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
urgent, high, medium, low Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Successful response
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
-2147483648 <= x <= 2147483647Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
email, chat_widget, voice, whatsapp, sms, customer_portal, form, manual, api, slack, microsoft_teams, instagram, discord, telegram Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
urgent, high, medium, low Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$⌘I